function Create(self)

	self.mapwrapx = SceneMan.SceneWrapsX;

	self.directionlistX = {0,0,1,-1};
	self.directionlistY = {1,-1,0,0};

	self.waitTimer = Timer();

	local clearer = CreateMOSRotating("Dov Terrain Clearer");
	clearer.Pos = self.Pos;
	clearer:EraseFromTerrain();
	clearer.ToDelete = true;

	self.ToDelete = false;

end

function Update(self)

	if self.waitTimer:IsPastSimMS(50) then
		if self.Sharpness > 0 then
			for x = 1, 4 do
				for y = 1, 4 do
					local checkPos = Vector(self.Pos.X+self.directionlistX[x],self.Pos.Y+self.directionlistY[y]);
					if SceneMan.SceneWrapsX == true then
						if checkPos.X > SceneMan.SceneWidth then
							checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
						elseif checkPos.X < 0 then
							checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
						end
					end
					if SceneMan:GetTerrMatter(checkPos.X,checkPos.Y) == 5 then
						self.clearer = CreateMOSRotating("Dov Terrain Clearer");
						self.clearer.Pos = checkPos;
						self.clearer:EraseFromTerrain();
						self.clearer.ToDelete = true;
						self.antiCreep = CreateMOPixel(self.PresetName);
						self.antiCreep.Pos = checkPos;
						self.antiCreep.Sharpness = self.Sharpness - 1;
						MovableMan:AddParticle(self.antiCreep);
					end
				end
			end
		end
		self.ToDelete = true;
	else
		self.ToDelete = false;
	end

end