function Create(self)

-- Some counters and variables

	self.DelayTimer = Timer();
	self.terrvectorcheck = Vector(0,0);
	self.updatecounterx = 0;
	self.updatecountery = 0;

-- Putting down the screen's dimensions in pixels.

	self.screenx = 125;
	self.screeny = 81;

-- This is where the top-left corner of the screen is in relation to the screen center.

	self.cornerpos = Vector(-self.screenx*0.5,-self.screeny*0.5);

-- The Map's width (x) and height (y).

	self.mapx = SceneMan.SceneWidth;
	self.mapy = SceneMan.SceneHeight;

	print(self.mapx..","..self.mapy);

-- Figuring out how the map would fit into the screen.

	self.mapxscreen = self.mapx/self.screenx;
	self.mapyscreen = self.mapy/self.screeny;

end

function Update(self)

-- Terrain Display

	if self.DelayTimer:IsPastSimMS(10) then

		self.DelayTimer:Reset();

		if self.updatecounterx < self.screenx then
			self.updatecounterx = self.updatecounterx + 1;
		else
			self.updatecounterx = 1;
		end

		for y = 1, self.screeny do

			self.pointvector = Vector(self.updatecounterx*(self.mapxscreen),y*(self.mapyscreen));
			--if SceneMan:CastStrengthRay(self.pointvector+Vector(0,-self.mapyscreen*0.5),Vector(0,self.mapyscreen*0.5),0,self.terrvectorcheck,2,0,false) == true then
			if SceneMan:GetTerrMatter(self.pointvector.X,self.pointvector.Y-(self.mapyscreen*0.5)) ~= 0 then
				self.terrpar = CreateMOPixel("Particle Dov Map Room Terrain");
				self.terrpar.Pos = self.Pos + self.cornerpos + Vector(self.updatecounterx,y);
				MovableMan:AddParticle(self.terrpar);
				self.terrpar.ToSettle = true;
			else
				self.clearpar = CreateMOPixel("Particle Dov Map Room Screen Clearer");
				self.clearpar.Pos = self.Pos + self.cornerpos + Vector(self.updatecounterx,y);
				MovableMan:AddParticle(self.clearpar);
				self.clearpar.ToSettle = true;
			end
		end

	end

-- Actor Display

	for actor in MovableMan.Actors do
		if actor.Pos.X >= 0 and actor.Pos.X <= self.mapx and actor.Pos.Y >= 0 and actor.Pos.Y <= self.mapy then
			if actor.Team == 0 then
				self.actorblip = CreateMOPixel("Dov Map Room Actor Red");
			elseif actor.Team == 1 then
				self.actorblip = CreateMOPixel("Dov Map Room Actor Green");
			elseif actor.Team == 2 then
				self.actorblip = CreateMOPixel("Dov Map Room Actor Blue");
			elseif actor.Team == 3 then
				self.actorblip = CreateMOPixel("Dov Map Room Actor Yellow");
			else
				self.actorblip = CreateMOPixel("Dov Map Room Actor No Team");
			end
			self.actorblip.Pos = self.Pos + self.cornerpos + Vector((actor.Pos.X/self.mapx)*self.screenx,(actor.Pos.Y/self.mapy)*self.screeny);
			MovableMan:AddParticle(self.actorblip);
		end
	end

-- Position of Screen

	self.particleblip = CreateMOPixel("Dov Map Room Screen Particle");
	self.particleblip.Pos = self.Pos + self.cornerpos + Vector((self.Pos.X/self.mapx)*self.screenx,(self.Pos.Y/self.mapy)*self.screeny);
	MovableMan:AddParticle(self.particleblip);

end