function Create(self)

	self.healTimer = Timer();
	self.healDelay = 100;
	self.healIncrement = 2;

end

function Update(self)

	if self:IsActivated() then
		if self.healTimer:IsPastSimMS(self.healDelay) then

			self.healTimer:Reset();

			local parentactor = MovableMan:GetMOFromID(self.RootID);
			if MovableMan:IsActor(parentactor) and ToActor(parentactor).Health < 100 then
				if ToActor(parentactor).Health < (100-self.healIncrement) then
					ToActor(parentactor).Health = ToActor(parentactor).Health + self.healIncrement;
				else
					ToActor(parentactor).Health = 100;
				end
			end

			local flipNum = 1;
			if self.HFlipped then
				flipNum = -1;
			end

			local detectobject = SceneMan:CastMORay(self.MuzzlePos,Vector(80*flipNum,0):RadRotate(self.RotAngle),self.RootID,-2,0,false,0);

			if detectobject ~= 255 then
				local target = MovableMan:GetMOFromID(detectobject);
				local actor = MovableMan:GetMOFromID(target.RootID);
				if MovableMan:IsActor(actor) and ToActor(actor).Health < 100 then
					if ToActor(actor).Health < (100-self.healIncrement) then
						ToActor(actor).Health = ToActor(actor).Health + self.healIncrement;
					else
						ToActor(actor).Health = 100;
					end
				end
			end

		end
	end

end