function Create(self)

	self.lifetimer = Timer();
	self.targettimer = Timer();
	self.detectrange = 500;
	self.idthing = math.floor(math.random()*1000000);

	self.turret = CreateAEmitter("Dov Micro Turret Turret");
	self.turret.Pos = self.Pos;
	self.turret.Team = self.Team;
	self.turret.Sharpness = self.idthing;
	MovableMan:AddParticle(self.turret);

end


function Update(self)

	if self.lifetimer:IsPastSimMS(30000) then
		self.ToDelete = true;
	end

	if MovableMan:IsParticle(self.turret) then
		if self.turret.PresetName == "Dov Micro Turret Turret" and self.turret.Sharpness == self.idthing then
			self.turret.Pos = self.Pos;
		else
			self.turret = nil;
		end
	else
		self.turret = CreateAEmitter("Dov Micro Turret Turret");
		self.turret.Pos = self.Pos;
		self.turret.Team = self.Team;
		self.turret.Sharpness = self.idthing;
		MovableMan:AddParticle(self.turret);
	end

	if self.target ~= nil and self.target.ID ~= 255 and MovableMan:IsActor(MovableMan:GetMOFromID(self.target.RootID)) then

		local aimVector = SceneMan:ShortestDistance(self.Pos,self.target.Pos,SceneMan.SceneWrapsX);

		if aimVector.Magnitude < self.detectrange and SceneMan:CastStrengthRay(self.Pos,aimVector,0,Vector(0,0),5,0,SceneMan.SceneWrapsX) == false then
			if MovableMan:IsParticle(self.turret) then
				self.turret.RotAngle = aimVector.AbsRadAngle;
				self.turret:EnableEmission(true);
			end
		else
			self.target = nil;
		end

	else

		if MovableMan:IsParticle(self.turret) then
			self.turret:EnableEmission(false);
		end

		if self.targettimer:IsPastSimMS(250) then
			self.targettimer:Reset();
			self.lastdist = nil;

			for i = 1,MovableMan:GetMOIDCount()-1 do
				local part = MovableMan:GetMOFromID(i);
				if part.Team ~= self.Team and MovableMan:IsActor(MovableMan:GetMOFromID(part.RootID)) then
					self.potentialtargetdist = SceneMan:ShortestDistance(self.Pos,part.Pos,SceneMan.SceneWrapsX);
					self.terrcheck = Vector(0,0);
					if (self.lastdist == nil or (self.lastdist ~= nil and self.potentialtargetdist.Magnitude < self.lastdist)) and self.potentialtargetdist.Magnitude <= self.detectrange and SceneMan:CastStrengthRay(self.Pos,self.potentialtargetdist:SetMagnitude(self.potentialtargetdist.Magnitude-part.Radius),0,self.terrcheck,5,0,SceneMan.SceneWrapsX) == false then
						self.lastdist = self.potentialtargetdist.Magnitude;
						self.target = part;
						self.lasttargetpos = Vector(self.target.Pos.X,self.target.Pos.Y);
					end
				end
			end
		end

	end

end

function Destroy(self)

	if MovableMan:IsParticle(self.turret) and self.turret.PresetName == "Dov Micro Turret Turret" and self.turret.Sharpness == self.idthing then
		self.turret.ToDelete = true;
	end

end