function Create(self)
	self.mapwrapx = SceneMan.SceneWrapsX;

	self.lifetimer = Timer();

	if globalhneedlerlist == nil then
		globalhneedlerlist = {};
	end
	self.listnum = #globalhneedlerlist + 1;
	globalhneedlerlist[self.listnum] = self;

	self.stickpositionX = 0;
	self.stickpositionY = 0;
	self.stickrotation = 0;
	self.stickdirection = 0;

	self.sticktarget = nil;
	self.stuck = false;

	self.detectrange = 500;
	self.detectrad = 30;
	self.idlefloattime = 5000;
	self.idlesticktime = 1500;
	self.degreespread = 30;
	self.sharpdegreespread = 10;

	self.curdist = 15;
	for i = 1,MovableMan:GetMOIDCount()-1 do
		local gun = MovableMan:GetMOFromID(i);
		if gun.PresetName == "D-Needler" and gun.ClassName == "HDFirearm" and SceneMan:ShortestDistance(self.Pos,gun.Pos,self.mapwrapx).Magnitude < self.curdist then
			actor = MovableMan:GetMOFromID(gun.RootID);
			if MovableMan:IsActor(actor) then
				self.parent = ToActor(actor);
				self.parentgun = ToHDFirearm(gun);

				self.check = SceneMan:CastMORay(self.parentgun.Pos,Vector(self.detectrange,0):RadRotate(self.parent:GetAimAngle(true)),-1,self.Team,0,false,7);

				if self.check ~= 255 then
					self.target = MovableMan:GetMOFromID(self.check);
				else
					for i = 1,MovableMan:GetMOIDCount()-1 do
						self.check = MovableMan:GetMOFromID(i);
						if self.check.RootID ~= self.parent.ID and self.check.Team ~= self.Team then
							self.distcheck = SceneMan:ShortestDistance(self.Pos,self.check.Pos,self.mapwrapx);
							self.terrcheck = Vector(0,0);
							if self.distcheck.Magnitude < self.detectrange and (self.lasdist == nil or (self.lastdist ~= nil and self.distcheck.Magnitude < self.lastdist)) and SceneMan:ShortestDistance(ToHDFirearm(self.parentgun).MuzzlePos + Vector(self.distcheck.Magnitude,0):RadRotate(self.parent:GetAimAngle(true)),self.check.Pos,self.mapwrapx).Magnitude < (self.check.Radius + self.detectrad) and SceneMan:CastStrengthRay(self.Pos,self.distcheck:SetMagnitude(self.distcheck.Magnitude-self.check.Radius),0,self.terrcheck,2,0,self.mapwrapx) == false then
								self.target = self.check;
								self.lastdist = self.distcheck.Magnitude;
							end
						end
					end
				end

				if math.random(1,2) == 2 then
					self.negatore = -1;
				else
					self.negatore = 1;
				end

				if self.parent:GetController():IsState(Controller.AIM_SHARP) then
					self.Vel = Vector(10,0):RadRotate(self.parent:GetAimAngle(true)):DegRotate(   (   (math.random(1,100)*self.negatore)   /   100)   *   (self.sharpdegreespread/2)   );
				else
					self.Vel = Vector(10,0):RadRotate(self.parent:GetAimAngle(true)):DegRotate(   (   (math.random(1,100)*self.negatore)   /   100)   *   (self.degreespread/2)   );
				end

				self.negatore = nil;

				break;
			end
		end
	end

end

function Update(self)

	if self.stuck == false then

		if self.lifetimer:IsPastSimMS(self.idlefloattime) == true then
			self:GibThis();
		end

		if self.target ~= nil and self.target.ID ~= 255 then
			self.RotAngle = SceneMan:ShortestDistance(self.Pos,self.target.Pos,self.mapwrapx).AbsRadAngle;
		end

		self.stickobject = SceneMan:CastMORay(self.Pos,Vector(5,0):RadRotate(self.RotAngle),-1,self.Team,0,false,0);
		self.clingpos = Vector(0,0);

		if self.stickobject ~= 255 then
			self.sticktarget = MovableMan:GetMOFromID(self.stickobject);
			self.stickpositionX = self.Pos.X-self.sticktarget.Pos.X;
			self.stickpositionY = self.Pos.Y-self.sticktarget.Pos.Y;
			self.stickrotation = self.sticktarget.RotAngle;
			self.stickdirection = self.RotAngle;
			self.startflipped = self.sticktarget.HFlipped;
			self.stuck = true;
			self.lifetimer:Reset();
			self.sticksound = CreateAEmitter("D-Needler Sound Stick");
			self.sticksound.Pos = self.Pos;
			MovableMan:AddParticle(self.sticksound);
		elseif SceneMan:CastStrengthRay(self.Pos,Vector(12,0):RadRotate(self.Vel.AbsRadAngle),0,self.clingpos,0,0,self.mapwrapx) == true then
			self.Vel = Vector(0,0);
			self.PinStrength = 1000;
			self.Pos = self.clingpos;
			self.stuck = true;
			self.lifetimer:Reset();
			self.sticksound = CreateAEmitter("D-Needler Sound Stick");
			self.sticksound.Pos = self.Pos;
			MovableMan:AddParticle(self.sticksound);
		end

	else

		if self.lifetimer:IsPastSimMS(self.idlesticktime) == true then
			self:GibThis();
		end

		if self.sticktarget ~= nil and self.sticktarget.ID ~= 255 then
			self.ToDelete = false;
			self.ToSettle = false;
			self.Pos = self.sticktarget.Pos + Vector(self.stickpositionX,self.stickpositionY):RadRotate(self.sticktarget.RotAngle-self.stickrotation);
			self.RotAngle = self.stickdirection+(self.sticktarget.RotAngle-self.stickrotation);
			self.Vel = Vector(0,0);
			self.PinStrength = 1000;
			self.Mass = self.sticktarget.RootID;
			if self.Sharpness == 1 then
				self:GibThis();
			end
			if self.lifetimer:IsPastSimMS(self.idlesticktime) == true then
				for i = 1, #globalhneedlerlist do
					if MovableMan:IsParticle(globalhneedlerlist[i]) == true and globalhneedlerlist[i].Mass == self.Mass then
						globalhneedlerlist[i].Sharpness = 1;
					end
				end
				self:GibThis();
			end
		elseif self.sticktarget ~= nil and self.sticktarget.ID == 255 then
			self:GibThis();
		end

	end

end

function Destroy(self)

	globalhneedlerlist[self.listnum] = nil;

end