function Create(self)

	self.drainTimer = Timer();
	self.timePerMinus = 1000;
	self.maxPoints = 50;
	self.addedPoints = 0;
	self.removedPoints = 0;

	for i = 1, MovableMan:GetMOIDCount()-1 do
		self.gun = MovableMan:GetMOFromID(i);
		if self.gun.ClassName == "HDFirearm" and self.gun.PresetName == "Dov Pain Pills" then
			self.actor = MovableMan:GetMOFromID(self.gun.RootID);
			if MovableMan:IsActor(self.actor) then
				self.parent = ToActor(self.actor);
				if self.parent.Health < 100 then
					self.gun.ToDelete = true;
					self.addedPoints = 100 - self.parent.Health;
					if self.addedPoints > self.maxPoints then
						self.addedPoints = self.maxPoints;
					end
					self.parent.Health = self.parent.Health + self.addedPoints;
				else
					self.ToDelete = true;
				end
				break;
			end
		end
	end

end

function Update(self)

	if MovableMan:IsActor(self.parent) then
		self.PinStrength = 1000;
		self.ToDelete = false;
		self.ToSettle = false;
		self.Pos = self.parent.Pos;
		if self.removedPoints >= self.addedPoints then
			self.ToDelete = true;
		elseif self.drainTimer:IsPastSimMS(self.timePerMinus) then
			self.drainTimer:Reset();
			self.parent.Health = self.parent.Health - 1;
			self.removedPoints = self.removedPoints + 1;
		end
	else
		self.ToDelete = true;
	end

end