function Create(self)
	self.maxcopyitems = 25; -- maximum number of items to copy from the original actor
	self.sameitem = false;

	self.curdist = 20;
	for i = 1,MovableMan:GetMOIDCount()-1 do
		self.gun = MovableMan:GetMOFromID(i);
		if self.gun.PresetName == "Repair Kit Mk2" and self.gun.ClassName == "HDFirearm" and SceneMan:ShortestDistance(self.Pos,self.gun.Pos,SceneMan.SceneWrapsX).Magnitude < self.curdist then
			self.actor = MovableMan:GetMOFromID(self.gun.RootID);
			if MovableMan:IsActor(self.actor) then
				self.parent = ToActor(self.actor);
				self.parentname = self.parent.PresetName;
				self.repairedactor = CreateAHuman(self.parentname);
				self.repairedactor:AddInventoryItem(CreateHDFirearm("Repair Kit Mk2"));

				self.itemblocker = CreateTDExplosive("Stone","Ronin.rte");
				self.itemblocker.PresetName = "Repair Kit Blocker Rock";
				self.parent:AddInventoryItem(self.itemblocker);

				self.parent:GetController():SetState(Controller.WEAPON_CHANGE_PREV,true);

--				self.inventorychecker = self.parent:Inventory();
--				if self.inventorychecker ~= nil then
--					self.parent:SwapNextInventory(self.inventorychecker,true);
--				end

				for i = 1, self.maxcopyitems do

					self.potentialwep = self.parent:Inventory();
					if self.potentialwep ~= nil and self.potentialwep.PresetName ~= "Repair Kit Blocker Rock" then

						if self.potentialwep.ClassName == "HDFirearm" then
							self.repairedactor:AddInventoryItem(CreateHDFirearm(self.potentialwep.PresetName));
						elseif self.potentialwep.ClassName == "TDExplosive" then
							self.repairedactor:AddInventoryItem(CreateTDExplosive(self.potentialwep.PresetName));
						elseif self.potentialwep.ClassName == "HeldDevice" then
							self.repairedactor:AddInventoryItem(CreateHeldDevice(self.potentialwep.PresetName));
						end

						self.parent:SwapNextInventory(self.potentialwep,true);
					else
						break;
					end
				end

				if self.parent:IsPlayerControlled() == true then
					self.parentplayer = self.parent:GetController().Player;
				end

				self.repairedactor.HFlipped = self.parent.HFlipped;
				self.repairedactor:SetAimAngle(self.parent:GetAimAngle(false));
				self.repairedactor.Pos = self.parent.Pos;
				self.repairedactor.Team = self.parent.Team;
				self.repairedactor.AIMode = Actor.AIMODE_SENTRY;
				self.parent.ToDelete = true;
				MovableMan:AddActor(self.repairedactor);
				if self.parentplayer ~= nil then
					ActivityMan:GetActivity():SwitchToActor(self.repairedactor,self.parentplayer,self.repairedactor.Team);
				end
				local sparticle = CreateAEmitter("Repair Kit Mk2 Sound Repair");
				sparticle.Pos = self.repairedactor.Pos;
				MovableMan:AddParticle(sparticle);
				self.repairedactor:FlashWhite(610);
				ActivityMan:GetActivity():ReportDeath(self.repairedactor.Team,-1);

			end
		end
	end

	self.ToDelete = true;
end