function Create(self)
	self.LifeTimer = Timer();
	self.StunTimer = Timer();
	self.SpazTimer = Timer();
	self.FlashTimer = Timer();
	self.target = nil;
	self.stickpositionX = 0;
	self.stickpositionY = 0;
	self.stickrotation = 0;
	self.stickdirection = 0;
	self.startflipped = false;

	self.stundelay = 0; -- delay before stunning (MS)
	self.stuntime = 10000; -- how long target is stunned (MS)
	self.spazdelay = 100; -- amount of time between spazing (MS)

end

function Update(self)

	if self.target == nil then
		if self.LifeTimer:IsPastSimMS(10000) then
			self.ToDelete = true;
		end
		self.stickobject = SceneMan:CastMORay(self.Pos,Vector(10,0):RadRotate(self.RotAngle),-1,self.Team,0,false,0);
		if self.stickobject ~= 255 then
			self.target = MovableMan:GetMOFromID(self.stickobject);
			self.stickpositionX = self.Pos.X-self.target.Pos.X;
			self.stickpositionY = self.Pos.Y-self.target.Pos.Y;
			self.stickrotation = self.target.RotAngle;
			self.stickdirection = self.RotAngle;
			self.startflipped = self.target.HFlipped;
			self.StunTimer:Reset();
		end
	elseif self.target ~= nil and self.target.ID ~= 255 then
		self.ToDelete = false;
		self.ToSettle = false;
		self.Pos = self.target.Pos + Vector(self.stickpositionX,self.stickpositionY):RadRotate(self.target.RotAngle-self.stickrotation);
		self.RotAngle = self.stickdirection+(self.target.RotAngle-self.stickrotation);
		self.Vel = Vector(0,0);
		self.PinStrength = 1000;

		if self.LifeTimer:IsPastSimMS(self.stuntime) then

			if MovableMan:IsActor(self.actor) then
				self.ToDelete = true;
			end

		end
		self.actor = MovableMan:GetMOFromID(self.target.RootID);

		if MovableMan:IsActor(self.actor) then

			ToActor(self.actor):GetController():SetState(Controller.BODY_JUMP,false);
			ToActor(self.actor):GetController():SetState(Controller.BODY_JUMPSTART,false);
			ToActor(self.actor):GetController():SetState(Controller.BODY_CROUCH,true);
			ToActor(self.actor):GetController():SetState(Controller.PIE_MENU_ACTIVE,false);
			ToActor(self.actor):GetController():SetState(Controller.WEAPON_FIRE,false);
			ToActor(self.actor):GetController():SetState(Controller.AIM_SHARP,false);
			ToActor(self.actor):GetController():SetState(Controller.MOVE_RIGHT,false);
			ToActor(self.actor):GetController():SetState(Controller.MOVE_LEFT,false);

			if self.FlashTimer:IsPastSimMS(self.spazdelay) then
				self.FlashTimer:Reset();
				ToActor(self.actor):FlashWhite(1);
			end
	
		end

	elseif self.target ~= nil and self.target.ID == 255 then
		self.ToDelete = true;
	end

end