function Create(self)

	for i = 1,MovableMan:GetMOIDCount()-1 do
		local gun = MovableMan:GetMOFromID(i);
		if gun.PresetName == "VE Grenade Launcher" and SceneMan:ShortestDistance(self.Pos,ToHDFirearm(gun).MuzzlePos,SceneMan.SceneWrapsX).Magnitude < 10 then
			local actor = MovableMan:GetMOFromID(gun.RootID);
			if MovableMan:IsActor(actor) then
				local item = ToActor(actor):Inventory();
				if item ~= nil and item.ClassName == "TDExplosive" then
					local projectile = CreateTDExplosive(item.PresetName);
					projectile.Pos = ToHDFirearm(gun).MuzzlePos;
					projectile.Team = actor.Team;
					projectile.Vel = actor.Vel + Vector(30,0):RadRotate(ToActor(actor):GetAimAngle(true));
					projectile.Sharpness = item.Sharpness;
					projectile:Activate();
					MovableMan:AddParticle(projectile);
				end
			end
		end
	end

	self.ToDelete = true;

end