function Create(self)

	self.flareTimer = Timer();
	self.growthDelay = 30000;

	self.vineLength = 2000;

	self.vineName = "Particle Creeper Vines Growth";
	if self.PresetName == "Particle Creeper Vines Heart S" then
		self.vineName = "Particle Creeper Vines Growth S";
	elseif self.PresetName == "Particle Creeper Vines Heart SX" then
		self.vineName = "Particle Creeper Vines Growth SX";
	elseif self.PresetName == "Particle Creeper Vines Heart A" then
		self.vineName = "Particle Creeper Vines Growth A";
	elseif self.PresetName == "Particle Creeper Vines Heart AX" then
		self.vineName = "Particle Creeper Vines Growth AX";
	elseif self.PresetName == "Particle Creeper Vines Heart X" then
		self.vineName = "Particle Creeper Vines Growth X";
	end

end

function Update(self)

	if self.Sharpness > 0 then
		self.PinStrength = 1000;
		self.ToDelete = false;
		self.ToSettle = false;
	end

	if self.flareTimer:IsPastSimMS(self.growthDelay) then
		self.flareTimer:Reset();
		for i = 1, 7 do
			local vine = CreateMOPixel(self.vineName);
			vine.Pos = self.Pos;
			vine.Sharpness = self.vineLength;
			MovableMan:AddParticle(vine);
		end
	end

end