function Create(self)
	self.DelayTimer = Timer();
	self.movespeed = 10;
	self.futurevel = Vector(0,0);
end

function Update(self)
	self.ToDelete = false;
	self.ToSettle = false;
	self.AngularVel = 0;
	self.RotAngle = 0;

	if not(MovableMan:IsParticle(self.drawlighta)) then
		self.drawlighta = CreateMOPixel("Particle Dovuken Cursor Glow");
		self.drawlighta.Pos = self.Pos;
		MovableMan:AddParticle(self.drawlighta);
	elseif MovableMan:IsParticle(self.drawlighta) then
		self.drawlighta.ToDelete = false;
		self.drawlighta.ToSettle = false;
		self.drawlighta.Pos = self.Pos;
		self.drawlighta.Vel = self.Vel;
		if self.PinStrength > 0 then
			self.drawlighta.Age = 0;
			self.Frame = 1;
		else
			self.drawlighta.Age = 1;
			self.Frame = 0;
		end
	end

	if self:GetController():IsMouseControlled() == false then
		if not(self:GetController():IsState(Controller.BODY_JUMP)) then
			if self:GetController():IsState(Controller.HOLD_UP) then
				self.futurevel = self.futurevel + Vector(0,-1);
			end

			if self:GetController():IsState(Controller.HOLD_DOWN) then
				self.futurevel = self.futurevel + Vector(0,1);
			end

			if self:GetController():IsState(Controller.HOLD_LEFT) then
				self.futurevel = self.futurevel + Vector(-1,0);
			end

			if self:GetController():IsState(Controller.HOLD_RIGHT) then
				self.futurevel = self.futurevel + Vector(1,0);
			end
		end
	elseif self:GetController():IsMouseControlled() == true then
		self.futurevel = self.futurevel + self:GetController().MouseMovement;
	end

	if self.futurevel == Vector(0,0) then
		self.Vel = ((SceneMan.GlobalAcc * TimerMan.DeltaTimeSecs)*-1);
	elseif not(self.futurevel == Vector(0,0)) then
		if self:GetController():IsMouseControlled() == false then
			self.Vel = (self.futurevel:SetMagnitude(self.movespeed)) + ((SceneMan.GlobalAcc * TimerMan.DeltaTimeSecs)*-1);
		elseif self:GetController():IsMouseControlled() == true then
			self.Vel = (self.futurevel) + ((SceneMan.GlobalAcc * TimerMan.DeltaTimeSecs)*-1);
		end
	end

	self.futurevel = Vector(0,0);
end

function Destroy(self)
	ActivityMan:GetActivity():ReportDeath(self.Team,-1);

	if MovableMan:IsParticle(self.drawlighta) then
		self.drawlighta.ToDelete = true;
		self.drawlighta.LifeTime = 1;
	end

end